
/* Pour fork et getpid */
#include <sys/types.h>
#include <unistd.h>

/* Pour perror et printf */
#include <stdio.h>

/* Pour exit */
#include <stdlib.h>

int main(int argc, char** argv)
{
	printf("Information affichée une fois avant le "
	       "fork dans le processu %i", getpid());

	if ( (fork()) == -1) {
		perror("Error while calling fork()");
		exit(1);
	}

	printf("\nInformation affichée deux fois après "
	       "le fork dans chacun des deux processus "
	       "(actuellement %i)\n", getpid());
	
	return 0;
}
